#include "zonefile_cod6_ps3.h"

ZoneFile_COD6_PS3::ZoneFile_COD6_PS3()
    : ZoneFile()
{
    pSetType(1, ASSET_TYPE_PHYSPRESET);
    pSetType(3, ASSET_TYPE_DESTRUCTIBLE);
    pSetType(4, ASSET_TYPE_XANIMPARTS);
    pSetType(5, ASSET_TYPE_XMODEL);
    pSetType(6, ASSET_TYPE_IMAGE);
    pSetType(7, ASSET_TYPE_TECHNIQUE_SET);
    pSetType(9, ASSET_TYPE_SOUND);
    pSetType(11, ASSET_TYPE_COL_MAP_SP);
    pSetType(12, ASSET_TYPE_COLLISION_MAP);
    pSetType(13, ASSET_TYPE_D3DBSP);
    pSetType(14, ASSET_TYPE_GAME_MAP_SP);
    pSetType(15, ASSET_TYPE_MENU);
    pSetType(16, ASSET_TYPE_FONT);
    pSetType(17, ASSET_TYPE_RAWFILE);
    pSetType(18, ASSET_TYPE_WEAPON);
    pSetType(19, ASSET_TYPE_GFX_MAP);
    pSetType(20, ASSET_TYPE_LIGHT_DEF);
    pSetType(26, ASSET_TYPE_FX);
    pSetType(32, ASSET_TYPE_SCRIPT_PARSE_TREE);
    pSetType(33, ASSET_TYPE_STRINGTABLE);
}

ZoneFile_COD6_PS3::~ZoneFile_COD6_PS3() {

}

bool ZoneFile_COD6_PS3::Load(const QByteArray aFileData) {
    return true;
}
